## org.springframework.format.datetime.joda
Class JodaTimeContext

    java.lang.Object
      org.springframework.format.datetime.joda.JodaTimeContext

    public class JodaTimeContext

extends Object

A context that holds user-specific Joda Time settings such as the user's Chronology (calendar system) and time zone. A `null` property value indicate the user has not specified a setting.

Since:
  3.0
Author:
  Keith Donald
See Also:
  `JodaTimeContextHolder`

Constructor Summary
`JodaTimeContext()`

Method Summary
`org.joda.time.Chronology` `getChronology()` The user's chronology (calendar system).
`org.joda.time.format.DateTimeFormatter` `getFormatter(org.joda.time.format.DateTimeFormatter formatter)` Gets the Formatter with the this context's settings applied to the base `formatter`.
`org.joda.time.DateTimeZone` `getTimeZone()` The user's timezone.
`void` `setChronology(org.joda.time.Chronology chronology)` Set the user's chronology.
`void` `setTimeZone(org.joda.time.DateTimeZone timeZone)` Set the user's timezone.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JodaTimeContext

    public JodaTimeContext()

Method Detail

### setChronology

    public void setChronology(org.joda.time.Chronology chronology)

  Set the user's chronology.

### getChronology

    public org.joda.time.Chronology getChronology()

  The user's chronology (calendar system). Null if not specified.

### setTimeZone

    public void setTimeZone(org.joda.time.DateTimeZone timeZone)

  Set the user's timezone.

### getTimeZone

    public org.joda.time.DateTimeZone getTimeZone()

  The user's timezone. Null if not specified.

### getFormatter

    public org.joda.time.format.DateTimeFormatter getFormatter(org.joda.time.format.DateTimeFormatter formatter)

  Gets the Formatter with the this context's settings applied to the base `formatter`.

  Parameters:
    `formatter` - the base formatter that establishes default formatting rules, generally context independent
  Returns:
    the context DateTimeFormatter